package com.cityguide;

import android.app.Activity;

import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.ImageButton;




public class Sights extends Activity {  
	
	@Override
	public void onConfigurationChanged(Configuration newConfig) {
	super.onConfigurationChanged(newConfig);
	}
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.sights); 
    
    
    final ImageButton index = (ImageButton) findViewById(R.id.logodown);
    index.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openIndexActivity();
        }
    });

    final ImageButton train = (ImageButton) findViewById(R.id.train);
    train.setOnClickListener(new ImageButton.OnClickListener() {
         public void onClick(View v) {
         	openTram_mapActivity();
         }
     });
    
    final ImageButton bus = (ImageButton) findViewById(R.id.bus);
    bus.setOnClickListener(new ImageButton.OnClickListener() {
         public void onClick(View v) {
         	openBus_mapActivity();
         }
     });
    
    final Button interest = (Button) findViewById(R.id.interest);
    interest.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openSights_interestActivity();
         }
     });
    
    final Button monuments = (Button) findViewById(R.id.monuments);
    monuments.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openSights_monumentsActivity();
         }
     });
    
    final Button museums = (Button) findViewById(R.id.museums);
    museums.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openSights_museumsActivity();
         }
     });
    
    final Button churches = (Button) findViewById(R.id.churches);
    churches.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openSights_churchesActivity();
         }
     });
    
    final Button brewery = (Button) findViewById(R.id.brewery);
    brewery.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openS_breweryActivity();
         }
     });
    
    
	}
    
     
	private void openIndexActivity() {
    	startActivity(new Intent(this,Index.class));
    }
	
	private void openTram_mapActivity() {
    	startActivity(new Intent(this,Tram_map.class));
    }
    
    private void openBus_mapActivity() {
    	startActivity(new Intent(this,Bus_map.class));
    }
    
    private void openSights_interestActivity() {
    	startActivity(new Intent(this,Sights_interest.class));
    }
    
    private void openSights_monumentsActivity() {
    	startActivity(new Intent(this,Sights_monuments.class));
    }
    
    private void openSights_museumsActivity() {
    	startActivity(new Intent(this,Sights_museums.class));
    }
    
    private void openSights_churchesActivity() {
    	startActivity(new Intent(this,Sights_churches.class));
    }
    
    private void openS_breweryActivity() {
    	startActivity(new Intent(this,S_brewery.class));
    }
    
}